/*!
 * =====================================================
 * 注册部分js
 * =====================================================
 */


/**
 *验证注册方法 
 */
function checkReg() {
	var phone = document.getElementById("phone").value;
	var pass = document.getElementById("password").value;
	var confirmPass = document.getElementById("confirmPass").value;
	var checkCode = document.getElementById("checkCode").value;
	if (phone == null || phone == '') {
		plus.nativeUI.toast('请输入手机号码');
	} else if (pass == null || pass == '') {
		plus.nativeUI.toast('请输入密码');
	} else if (confirmPass == null || confirmPass == '') {
		plus.nativeUI.toast('请输入确认密码');
	}else if(pass!=confirmPass){
		plus.nativeUI.toast('两次输入密码不一致，请重新输入');
	}else if (checkCode == null || checkCode == '') {
		plus.nativeUI.toast('请输入验证码');
	} else {
		//验证通过，开始向服务器请求注册信息
		var param={command:'registeruser',phone:phone,password:pass,code:checkCode,channel:'0'};
		mui.ajax(urlInfo, {
			data: JSON.stringify(param),
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			success: function(data) {
				if (data.errorCode == '0000') {
					plus.nativeUI.toast('注册成功');
					regLogin(phone,pass);//注册成功后执行登录方法
				}else{
					plus.nativeUI.toast(data.message);
				}
				
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				if (type == 'timeout') {
					plus.nativeUI.toast("连接超时,请检查网络,或重新尝试");
				} else if (type == 'abort') {
					plus.nativeUI.toast("连接服务器失败");
				} else {
					plus.nativeUI.toast(type);
				}
			}
		});
	}
}




/**
 *
 *注册成功后直接登录状态
 */
function regLogin(phone,pass,par){
	//更改登录状态,token,查询基本信息,跳转页面
			var param={command:'login',userName:phone,password:pass};
			mui.ajax(urlInfo, {
			data:JSON.stringify(param),
			dataType: 'json', //服务器返回json格式数据
			type: 'post', //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			success: function(data) {
				plus.nativeUI.toast(data.message);
				if(data.errorCode=='0000'){
					localStorage.personId=data.userid;
					localStorage.personPhone=data.phone;
					localStorage.personName=data.name;
					localStorage.personGrade=data.usergrade;
					localStorage.personIntegral=data.userintegral;
					localStorage.personImg=data.userimg;
					localStorage.personTel=data.phone;
					localStorage.personEmail=data.email;
					localStorage.personAddress=data.address;
					localStorage.personBirthday=data.birthday;
					localStorage.personType = data.memberType;
					plus.webview.getWebviewById("index_sub.html").reload();//刷新主页
					plus.webview.getWebviewById("personal.html").reload();//刷新我的页面
					var ws = plus.webview.currentWebview();
					plus.webview.close(ws);
					var logws=plus.webview.getWebviewById("login.html");
					plus.webview.close(logws);
				}
			},
			error: function(xhr, type, errorThrown) {
				//异常处理；
				if(type=='timeout'){
					plus.nativeUI.toast("连接超时,请检查网络,或重新尝试");
				}else if(type=='abort'){
					plus.nativeUI.toast("请检查网络连接");
				}else{
					plus.nativeUI.toast(type);
				}
			}
		});
}

