jQuery.upload = function(options) {
	if (!options) return;
	var url = options.url;
	var filepath = options.filepath;
	var datas = options.datas || [];
	var success = options.success;
	var fail = options.fail;
	if (url && filepath) {
		var task = plus.uploader.createUpload(url, {
				method: "POST",
				blocksize: 204800,
				priority: 100
			},
			function(t, status) {
				if (status == 200) {
					if (success) success(t);
				} else {
					if (fail) fail(status);
				}
			}
		);
		task.addFile(filepath, {
			key: 'file'
		});
		if (datas && datas.length) {
			for (var i = 0; i < datas.length; i++) {
				var data = datas[i];
				task.addData(data.key, data.value);
			}
		}
		task.start();
	}
};